<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="AutoImportSettings">
    <option name="autoReloadType" value="SELECTIVE" />
  </component>
  <component name="ChangeListManager">
    <list default="true" id="bbb67db7-7490-4f53-9e2c-44df0def9d24" name="Changes" comment="Bugfix: Decoding URL-encoded paths to JAR file">
      <change beforePath="$PROJECT_DIR$/.idea/workspace.xml" beforeDir="false" afterPath="$PROJECT_DIR$/.idea/workspace.xml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/CHANGELOG.md" beforeDir="false" afterPath="$PROJECT_DIR$/CHANGELOG.md" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/build.gradle" beforeDir="false" afterPath="$PROJECT_DIR$/build.gradle" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/src/main/java/EtherHack/Ether/EtherAPI.java" beforeDir="false" afterPath="$PROJECT_DIR$/src/main/java/EtherHack/Ether/EtherAPI.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/src/main/java/EtherHack/Ether/EtherLuaCompiler.java" beforeDir="false" afterPath="$PROJECT_DIR$/src/main/java/EtherHack/Ether/EtherLuaCompiler.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/src/main/java/EtherHack/Ether/EtherLuaManager.java" beforeDir="false" afterPath="$PROJECT_DIR$/src/main/java/EtherHack/Ether/EtherLuaManager.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/src/main/java/EtherHack/Ether/EtherLuaMethods.java" beforeDir="false" afterPath="$PROJECT_DIR$/src/main/java/EtherHack/Ether/EtherLuaMethods.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/src/main/resources/EtherHack/EtherHack.properties" beforeDir="false" afterPath="$PROJECT_DIR$/src/main/resources/EtherHack/EtherHack.properties" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/src/main/resources/EtherHack/lua/components/panels/EtherExploitPanel.lua" beforeDir="false" afterPath="$PROJECT_DIR$/src/main/resources/EtherHack/lua/components/panels/EtherExploitPanel.lua" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/src/main/resources/EtherHack/media/ui/players.png" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/src/main/resources/EtherHack/translations/EN.txt" beforeDir="false" afterPath="$PROJECT_DIR$/src/main/resources/EtherHack/translations/EN.txt" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/src/main/resources/EtherHack/translations/RU.txt" beforeDir="false" afterPath="$PROJECT_DIR$/src/main/resources/EtherHack/translations/RU.txt" afterDir="false" />
    </list>
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="ExternalProjectsData">
    <projectState path="$PROJECT_DIR$">
      <ProjectState />
    </projectState>
  </component>
  <component name="ExternalProjectsManager">
    <system id="GRADLE">
      <state>
        <task path="$PROJECT_DIR$">
          <activation />
        </task>
        <projects_view>
          <tree_state>
            <expand>
              <path>
                <item name="" type="6a2764b6:ExternalProjectsStructure$RootNode" />
                <item name="EtherHack" type="f1a62948:ProjectNode" />
              </path>
              <path>
                <item name="" type="6a2764b6:ExternalProjectsStructure$RootNode" />
                <item name="EtherHack" type="f1a62948:ProjectNode" />
                <item name="Run Configurations" type="7b0102dc:RunConfigurationsNode" />
              </path>
            </expand>
            <select />
          </tree_state>
        </projects_view>
      </state>
    </system>
  </component>
  <component name="FileTemplateManagerImpl">
    <option name="RECENT_TEMPLATES">
      <list>
        <option value="NewLua" />
        <option value="Interface" />
        <option value="AnnotationType" />
        <option value="Class" />
      </list>
    </option>
  </component>
  <component name="Git.Settings">
    <option name="RECENT_GIT_ROOT_PATH" value="$PROJECT_DIR$" />
  </component>
  <component name="MarkdownSettingsMigration">
    <option name="stateVersion" value="1" />
  </component>
  <component name="ProjectId" id="2RTRDmOPQ2yH8KggKwq4oOA4RoL" />
  <component name="ProjectLevelVcsManager" settingsEditedManually="true">
    <ConfirmationsSetting value="2" id="Add" />
  </component>
  <component name="ProjectViewState">
    <option name="hideEmptyMiddlePackages" value="true" />
    <option name="showLibraryContents" value="true" />
  </component>
  <component name="PropertiesComponent">{
  &quot;keyToString&quot;: {
    &quot;ASKED_ADD_EXTERNAL_FILES&quot;: &quot;true&quot;,
    &quot;RunOnceActivity.OpenProjectViewOnStart&quot;: &quot;true&quot;,
    &quot;RunOnceActivity.ShowReadmeOnStart&quot;: &quot;true&quot;,
    &quot;WebServerToolWindowFactoryState&quot;: &quot;false&quot;,
    &quot;git-widget-placeholder&quot;: &quot;master&quot;,
    &quot;ignore.virus.scanning.warn.message&quot;: &quot;true&quot;,
    &quot;last_opened_file_path&quot;: &quot;C:/Users/Quzile/IdeaProjects/Project-Zomboid-EtherHack/src/main/resources/EtherHack/translations&quot;,
    &quot;node.js.detected.package.eslint&quot;: &quot;true&quot;,
    &quot;node.js.detected.package.tslint&quot;: &quot;true&quot;,
    &quot;node.js.selected.package.eslint&quot;: &quot;(autodetect)&quot;,
    &quot;node.js.selected.package.tslint&quot;: &quot;(autodetect)&quot;,
    &quot;nodejs_package_manager_path&quot;: &quot;npm&quot;,
    &quot;project.structure.last.edited&quot;: &quot;SDKs&quot;,
    &quot;project.structure.proportion&quot;: &quot;0.15&quot;,
    &quot;project.structure.side.proportion&quot;: &quot;0.2&quot;,
    &quot;settings.editor.selected.configurable&quot;: &quot;settings.sync&quot;,
    &quot;vue.rearranger.settings.migration&quot;: &quot;true&quot;
  }
}</component>
  <component name="RecentsManager">
    <key name="CreateClassDialog.RecentsKey">
      <recent name="EtherHack.Ether" />
    </key>
    <key name="CopyFile.RECENT_KEYS">
      <recent name="C:\Users\Quzile\IdeaProjects\Project-Zomboid-EtherHack\src\main\resources\EtherHack\translations" />
      <recent name="C:\Users\Quzile\IdeaProjects\Project-Zomboid-EtherHack\demo\thanks" />
    </key>
    <key name="MoveFile.RECENT_KEYS">
      <recent name="C:\Users\Quzile\IdeaProjects\Project-Zomboid-EtherHack\src\main\resources\EtherHack\media\ui" />
      <recent name="C:\Users\Quzile\IdeaProjects\Project-Zomboid-EtherHack\src\main\resources\EtherHack\lua\components\override" />
      <recent name="C:\Users\Quzile\IdeaProjects\Project-Zomboid-EtherHack\src\main\resources\EtherHack\media" />
      <recent name="C:\Users\Quzile\IdeaProjects\Project-Zomboid-EtherHack" />
      <recent name="C:\Users\Quzile\IdeaProjects\Project-Zomboid-EtherHack\src\main\resources" />
    </key>
    <key name="MoveClassesOrPackagesDialog.RECENTS_KEY">
      <recent name="" />
    </key>
    <key name="CopyClassDialog.RECENTS_KEY">
      <recent name="EtherHack.utils" />
      <recent name="EtherHack.hooks.interfaces" />
      <recent name="EtherHack.hooks" />
    </key>
  </component>
  <component name="RunManager">
    <configuration name="Project-Zomboid-EtherHack [jar]" type="GradleRunConfiguration" factoryName="Gradle">
      <ExternalSystemSettings>
        <option name="executionName" />
        <option name="externalProjectPath" value="$PROJECT_DIR$" />
        <option name="externalSystemIdString" value="GRADLE" />
        <option name="scriptParameters" value="" />
        <option name="taskDescriptions">
          <list />
        </option>
        <option name="taskNames">
          <list>
            <option value="jar" />
          </list>
        </option>
        <option name="vmOptions" />
      </ExternalSystemSettings>
      <ExternalSystemDebugServerProcess>true</ExternalSystemDebugServerProcess>
      <ExternalSystemReattachDebugProcess>true</ExternalSystemReattachDebugProcess>
      <DebugAllEnabled>false</DebugAllEnabled>
      <ForceTestExec>false</ForceTestExec>
      <method v="2" />
    </configuration>
  </component>
  <component name="SpellCheckerSettings" RuntimeDictionaries="0" Folders="0" CustomDictionaries="0" DefaultDictionary="application-level" UseSingleDictionary="true" transferred="true" />
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="bbb67db7-7490-4f53-9e2c-44df0def9d24" name="Changes" comment="" />
      <created>1687271967951</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1687271967951</updated>
      <workItem from="1687271968995" duration="884000" />
      <workItem from="1687428706198" duration="966000" />
      <workItem from="1687436611114" duration="256000" />
      <workItem from="1687436906671" duration="1069000" />
      <workItem from="1687437985990" duration="20754000" />
      <workItem from="1688027354891" duration="312000" />
      <workItem from="1688113637556" duration="25770000" />
      <workItem from="1688403110609" duration="645000" />
      <workItem from="1688403776854" duration="39000" />
      <workItem from="1688403818278" duration="14154000" />
      <workItem from="1688445316961" duration="30752000" />
      <workItem from="1688562599873" duration="5748000" />
      <workItem from="1688572687070" duration="2882000" />
      <workItem from="1688658333460" duration="605000" />
      <workItem from="1688658960356" duration="7000" />
      <workItem from="1688658979629" duration="3975000" />
      <workItem from="1688725937173" duration="1636000" />
      <workItem from="1688752928761" duration="1619000" />
      <workItem from="1688762698270" duration="64000" />
      <workItem from="1688806031648" duration="14545000" />
      <workItem from="1688839416491" duration="779000" />
      <workItem from="1688840217484" duration="10507000" />
      <workItem from="1688854110645" duration="20000" />
      <workItem from="1689444278547" duration="4823000" />
      <workItem from="1689449120055" duration="2599000" />
      <workItem from="1689451829417" duration="104000" />
      <workItem from="1689451965356" duration="24000" />
      <workItem from="1689452114120" duration="215000" />
      <workItem from="1689943512733" duration="3445000" />
      <workItem from="1689954364756" duration="10730000" />
      <workItem from="1690046604791" duration="8389000" />
      <workItem from="1690058889117" duration="4556000" />
      <workItem from="1690104279631" duration="20242000" />
      <workItem from="1690187040000" duration="8742000" />
      <workItem from="1690282414650" duration="10141000" />
      <workItem from="1690318378648" duration="814000" />
      <workItem from="1690361133526" duration="20742000" />
      <workItem from="1690402337678" duration="195000" />
      <workItem from="1690402855240" duration="143000" />
      <workItem from="1690451379274" duration="29989000" />
      <workItem from="1690496835360" duration="16000" />
      <workItem from="1690533032631" duration="17017000" />
      <workItem from="1690568842802" duration="6153000" />
      <workItem from="1690580614319" duration="691000" />
      <workItem from="1690618387056" duration="8222000" />
      <workItem from="1690629370842" duration="14952000" />
      <workItem from="1690645459836" duration="1174000" />
      <workItem from="1690713568752" duration="30550000" />
      <workItem from="1690788948644" duration="11333000" />
      <workItem from="1690822307435" duration="7286000" />
    </task>
    <task id="LOCAL-00001" summary="Comment and credits position bug fix">
      <created>1687272766642</created>
      <option name="number" value="00001" />
      <option name="presentableId" value="LOCAL-00001" />
      <option name="project" value="LOCAL" />
      <updated>1687272766642</updated>
    </task>
    <task id="LOCAL-00002" summary="Bugfix: Decoding URL-encoded paths to JAR file">
      <created>1687429409605</created>
      <option name="number" value="00002" />
      <option name="presentableId" value="LOCAL-00002" />
      <option name="project" value="LOCAL" />
      <updated>1687429409605</updated>
    </task>
    <option name="localTasksCounter" value="3" />
    <servers />
  </component>
  <component name="TypeScriptGeneratedFilesManager">
    <option name="version" value="3" />
  </component>
  <component name="Vcs.Log.Tabs.Properties">
    <option name="TAB_STATES">
      <map>
        <entry key="MAIN">
          <value>
            <State />
          </value>
        </entry>
      </map>
    </option>
  </component>
  <component name="VcsManagerConfiguration">
    <option name="ADD_EXTERNAL_FILES_SILENTLY" value="true" />
    <MESSAGE value="Comment and credits position bug fix" />
    <MESSAGE value="Bugfix: Decoding URL-encoded paths to JAR file" />
    <option name="LAST_COMMIT_MESSAGE" value="Bugfix: Decoding URL-encoded paths to JAR file" />
  </component>
  <component name="XDebuggerManager">
    <breakpoint-manager>
      <breakpoints>
        <line-breakpoint enabled="true" type="java-line">
          <url>jar://$PROJECT_DIR$/libs/zombie.jar!/zombie/ui/TextManager.class</url>
          <line>289</line>
          <option name="timeStamp" value="4" />
        </line-breakpoint>
      </breakpoints>
    </breakpoint-manager>
  </component>
  <component name="XSLT-Support.FileAssociations.UIState">
    <expand />
    <select />
  </component>
</project>